r255 - trunk/pkg-vim

Pierre Habouzit madcoder-guest at costa.debian.org
Thu Jul 21 12:40:00 UTC 2005


Author: madcoder-guest
Date: 2005-07-21 12:39:46 +0000 (Thu, 21 Jul 2005)
New Revision: 255

Added:
   trunk/pkg-vim/vim-update-patches-6.3
Log:
script that updates our upstream/patches + debian/README files

Added: trunk/pkg-vim/vim-update-patches-6.3
===================================================================
--- trunk/pkg-vim/vim-update-patches-6.3	2005-07-21 12:38:50 UTC (rev 254)
+++ trunk/pkg-vim/vim-update-patches-6.3	2005-07-21 12:39:46 UTC (rev 255)
@@ -0,0 +1,68 @@
+#! /bin/sh
+#----------------------------------------------------
+# Pierre Habouzit <madcoder at debian.org>
+# Copyright 2005
+#
+# This script is in the Public Domain
+#----------------------------------------------------
+
+set -e
+
+UPSTREAM=ftp://ftp.vim.org/pub/vim/patches/6.3/
+
+DEB_ROOT=${1:-'.'}
+DEB_DEBIAN=$DEB_ROOT/debian
+DEB_PATCHES=$DEB_ROOT/upstream/patches
+
+
+###
+### USAGE
+###
+
+if [ "$1" = "-h"  -o  "$1" = "--help" ]
+then
+    cat <<EOF
+usage: vim-update-patches-6.3 [ path ]
+
+    path    the path to the directory holding your vim-6.3 debian/ dir.
+            defaulted to '.'
+
+EOF
+
+    exit
+fi
+
+
+###
+### get the readme
+###
+
+echo -n "Getting README: "
+wget -q -O $DEB_DEBIAN/README $UPSTREAM/README
+echo "[ OK ]"
+
+last_upstream=`grep -v '^$' $DEB_DEBIAN/README | tail -1`
+last_upstream=`echo " $last_upstream" | sed -e 's,  *, ,g' | cut -d' ' -f3`
+echo "last upstream is ........ $last_upstream"
+
+
+###
+###  Find the last patch we have
+###
+
+our_last=`ls $DEB_PATCHES|sort -n|tail -1`
+echo "our last patch is ....... $our_last"
+
+if [ "$last_upstream" != "$our_last" ]
+then
+    echo "Getting missing patches :"
+    lftp -c "open $UPSTREAM ; mget -c 6.3.* ; exit"
+    echo "done"
+fi
+
+
+###
+### We are done
+###
+
+echo "-< OK >-"


Property changes on: trunk/pkg-vim/vim-update-patches-6.3
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-vim-maintainers mailing list